Configure MCP plans on an MCP product
curl --request PUT \
--url https://api.example.com/v1/sdk/products/{productRef}/mcp/plans \
--header 'Content-Type: application/json' \
--data '
{
"plans": [
{
"currency": "<string>",
"key": "<string>",
"name": "<string>",
"price": 1,
"creditsPerUnit": 123,
"features": {},
"freeUnits": 1,
"limit": 1
}
],
"toolMapping": [
{
"name": "<string>",
"planKeys": [
"<string>"
]
}
]
}
'import requests
url = "https://api.example.com/v1/sdk/products/{productRef}/mcp/plans"
payload = {
"plans": [
{
"currency": "<string>",
"key": "<string>",
"name": "<string>",
"price": 1,
"creditsPerUnit": 123,
"features": {},
"freeUnits": 1,
"limit": 1
}
],
"toolMapping": [
{
"name": "<string>",
"planKeys": ["<string>"]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
plans: [
{
currency: '<string>',
key: '<string>',
name: '<string>',
price: 1,
creditsPerUnit: 123,
features: {},
freeUnits: 1,
limit: 1
}
],
toolMapping: [{name: '<string>', planKeys: ['<string>']}]
})
};
fetch('https://api.example.com/v1/sdk/products/{productRef}/mcp/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcpServer": {},
"planMap": {},
"product": {
"balance": 0,
"createdAt": "<string>",
"isMcpPay": false,
"name": "AI Writing Assistant",
"reference": "prd_1A2B3C4D",
"status": "active",
"totalTransactions": 0,
"updatedAt": "<string>",
"config": {
"deliveryMethod": "api",
"fulfillmentType": "digital",
"validityPeriod": 30
},
"description": "<string>",
"imageUrl": "<string>",
"mcp": {
"defaultPlanRef": "pln_FREE123",
"mcpProxyUrl": "https://acme-docs.mcp.solvapay.com/mcp",
"mcpServerRef": "mcp_ABC123",
"mcpSubdomain": "acme-docs",
"originUrl": "https://origin.example.com/mcp"
},
"metadata": {},
"plans": [
{
"createdAt": "<string>",
"currency": "USD",
"isActive": true,
"price": 2999,
"reference": "pln_1A2B3C4D",
"requiresPayment": true,
"status": "active",
"updatedAt": "<string>",
"billingCycle": "monthly",
"billingModel": "pre-paid",
"creditsPerUnit": 1,
"currencySymbol": "$",
"features": {},
"freeUnits": 1000,
"limit": 10000,
"limits": {},
"measures": "requests",
"meterRef": "mtr_1A2B3C4D",
"rolloverUnusedUnits": false,
"setupFee": 500,
"trialDays": 14
}
],
"productType": "<string>"
}
}Products
Configure MCP plans on an MCP product
Configures plans and optional tool-to-plan mappings for an MCP product.
PUT
/
v1
/
sdk
/
products
/
{productRef}
/
mcp
/
plans
Configure MCP plans on an MCP product
Path Parameters
Product reference or ID
Example:
"prd_1A2B3C4D"
⌘I